### Property

# Gtk ColumnViewColumn:id

since: 4.10

#### Declaration

    property id: utf8 [ read, write ]

#### Description [src]

An ID for the column.

GTK is not currently using the ID for anything, but it can be used by applications when saving column view configurations.

It is up to applications to ensure uniqueness of IDs.

Type: | `gchar*`
Available since: | 4.10

Default value | NULL
Getter method | `gtk_column_view_column_get_id()`
Setter method | `gtk_column_view_column_set_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no